![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)

---

# LED Curtain

Code developed for [Fusion board for KINETIS v8](https://www.mikroe.com/fusion-for-kinetis) and it can be used on other MIKROE development boards as well.

Depending on used MCU CARD, you may have to change port.

- **Author**      : Dragana Tesovic
- **Version**     : 2.0.0.1
- **Date**        : June 2022.

---

## Software Support

We provide a demo code for testing all functions contained in the *MikroSDK.Driver.GPIO.Port* library.

### Functions Description

All functions used in main project are located in the *MikroSDK.Driver.GPIO.Port* library.

Functions in `drv_port.h` files:

- `void port_init( port_t *port, port_name_t name, port_size_t mask, pin_direction_t direction )` - Initializes port driver context structure and masked GPIO pins as digital output or digital input.
- `void port_write( port_t *port, port_size_t value )` - Function for writing to port.

## Hardware Support

![board](./board.png)

This code was developed on *Fusion for KINETIS v8* board. For this hardware to work according to program, it is necessary to pull switches that turn on *PORT LEDS* for output port, which are in this case switches E and F (switches are located on the right side of board, in the *BOARD SETUP* part).

---
